import { Component, OnInit } from '@angular/core';
import { DataLogsService } from 'src/app/services/data-logs.service';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ILogs } from 'src/app/models/logs.model';
import { ISimpleTab } from 'src/app/models/basic-tabs.model';
import { IPageHeaderInfo } from 'src/app/models/page.model';

@Component({
  selector: 'app-logs-home',
  templateUrl: './logs-home.component.html',
  styleUrls: ['./logs-home.component.scss'],
})
export class LogsHomeComponent implements OnInit {
  pageHeaderInfo: IPageHeaderInfo = {
    title: 'Data-Logs',
  };
  isDashboardDisplayed: boolean = false;
  uuid: string;
  allFields: any;
  sessionId: string;
  slug: string;
  data: any;
  stepData: ILogs;
  allStepsData: any;
  nbSessionId: number;
  nbUuid: number;
  nbSlug: number;
  isToggled: boolean;
  tabs: ISimpleTab[] =  [{
    name: 'Slug',
    isActive: true},
  {
    name: 'Session',
    isActive: false},
  ];
  sessionIdList: [string];
  constructor(
    private dataLogsService: DataLogsService,
    private route: ActivatedRoute,
  ) { }

  ngOnInit() {
    this.isToggled = true;
    this.data = [];
    this.uuid = 'c1b069ca-181d-4265-9838-8d182f207bd3';
    this.sessionId = '372b59a4-72b0-4a3a-b518-843e516da0cd';
    this.slug = 'arbres-alignement-metropole-lyon';
    this.allStepsData = [];
    this.allFields = [];
    this.getAllUniqueFields();

  }

  onSubmit() {
    this.isDashboardDisplayed = true;
    this.isToggled = false;
    this.dataLogsService.uuidToSessionId(this.uuid)
    .subscribe((result) => {
      this.data.uuid = result[0]._id.uuid;
      this.data.sessionIdList = result[0].session_id_list;
    },
    );
    this.dataLogsService.getAllStepsDuration(
    this.uuid,
    this.sessionId,
  ).subscribe((results) => {
    // console.log('results', results);
    this.allStepsData = results;
  },
  );
  }

  getAllUniqueFields() {
    this.dataLogsService.getAllUniqueFields().subscribe((result) => {
      this.allFields = result[0];
      this.nbSessionId = result[0]['session_id_list'].length;
      this.nbUuid = result[0]['uuid_list'].length;
      this.nbSlug = result[0]['slug_list'].length;

    },
    );
  }
  tabsToggler(tabName) {
    if (tabName === 'Session') {
      this.isToggled = false;
      this.tabs[0].isActive = false;
      this.tabs[1].isActive = true;
    }
    if (tabName === 'Slug') {
      this.isToggled = true;
      this.tabs[0].isActive = true;
      this.tabs[1].isActive = false;
    }
  }

}
