import { Component, OnInit, Input } from '@angular/core';
import { DataLogsService } from 'src/app/services/data-logs.service';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { switchMap } from 'rxjs/operators';
import { ILogs } from 'src/app/models/logs.model';
import { FormsModule } from '@angular/forms';
@Component({
  selector: 'app-logs-sessions',
  templateUrl: './logs-sessions.component.html',
  styleUrls: ['./logs-sessions.component.scss'],
})
export class LogsSessionsComponent implements OnInit {
  @Input() childSessionId: string;
  // @Input() childSessionsList: [];
  @Input() childNbSessions: number;
  allSessionsIdInfo: any = [];
  childSessionsList: any = [];
  urlCode: string = 'sessionUrl';
  constructor(
    private dataLogsService: DataLogsService,
  ) { }

  ngOnInit() {
    this.getAllUniqueFields();
  }

  getProcessTimeAggr (sessionId) {
    this.dataLogsService.getProcessTimeAggr(sessionId).subscribe((result) => {
      // console.log(result[0]);
      this.allSessionsIdInfo.push(result[0]);
    },
    );
  }
  getAllUniqueFields() {
    this.dataLogsService.getAllUniqueFields().subscribe((result) => {
      this.childSessionsList = result[0]['session_id_list'];
      for (let i = 0; i < this.childNbSessions; i += 1) {
        this.getProcessTimeAggr(this.childSessionsList[i]);
      }
      // console.log('allSessionsIdInfo: ', this.allSessionsIdInfo);
    },
    );
  }
  seeDashboard() {}

}
