import { Component, OnInit, Input } from '@angular/core';
import { DataLogsService } from 'src/app/services/data-logs.service';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { switchMap } from 'rxjs/operators';
import { ILogs } from 'src/app/models/logs.model';
import { FormsModule } from '@angular/forms';
@Component({
  selector: 'app-logs-slugs',
  templateUrl: './logs-slugs.component.html',
  styleUrls: ['./logs-slugs.component.scss'],
})
export class LogsSlugsComponent implements OnInit {
  // @Input() childSessionId: string;
  // @Input() childSessionsList: [];
  @Input() childSlugsList: any;
  @Input() childNbSlugs: any;
  @Input() childNbUuids: any;
  urlCode: string = 'slugUrl';

  allSessionsIdInfo:any = [];
  childSessionsList: any;

  constructor(
    private dataLogsService: DataLogsService,
  ) { }

  ngOnInit() {
    this.childSlugsList = [];
    this.childSessionsList = [];
    this.getAllUniqueFields();
  }

  getUuidFromSlug (slug) {
    this.dataLogsService.getUuidFromSlug(slug).subscribe((result) => {
      console.log('slug to uuid', result[0]);
      this.allSessionsIdInfo.push(result[0]);
    },
    );
  }
  getAllUniqueFields() {
    this.dataLogsService.getAllUniqueFields().subscribe((result) => {
      this.childSlugsList = result[0]['slug_list'];
      for (let i = 0; i < this.childNbSlugs; i += 1) {
        this.getUuidFromSlug(this.childSlugsList[i]);
      }
      // console.log('allSessionsIdInfo: ', this.allSessionsIdInfo);
    },
    );
  }
  getAllInfoForAllSlugs() {

  }
  seeDashboard() {}
}
